Subject: Emergency BLANKET Holds 90% of Body Heat (NASA Design)!

From: "Survival Blanket" <[email-masked]>
Date: Fri, 27 Jan 2017 15:50:55 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.